package kr.co.jinwoosi.clfd.framework.security.model;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Setter
@Getter
@AllArgsConstructor
@NoArgsConstructor
public class UserSearch extends User {
	
	private String userLoginIdLike;
	private String userNmLike;
	private Boolean findIdByPhoneFlag;
	private Boolean findPwByPhoneAndIdFlag;

	public UserSearch(Long userId) {
		super.setUserId(userId);
	}

	public UserSearch(Long userId, String password) {
		super.setUserId(userId);
		super.setUserPwd(password);
	}

	public UserSearch(String userLoginId) {
		super.setUserLoginId(userLoginId);
	}
}
